## yarock 1.1.3

=== CMakeLists.txt ===
# ------------------------------------------------------------------------------
#  YAROCK CMAKE FILE
# ------------------------------------------------------------------------------
cmake_minimum_required(VERSION 2.8.6)
set( CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake )

PROJECT( yarock )
set(YAROCK_MAJOR_VERSION 1)
set(YAROCK_MINOR_VERSION 1)
set(YAROCK_PATCH_VERSION 3)
set(YAROCK_VERSION "${YAROCK_MAJOR_VERSION}.${YAROCK_MINOR_VERSION}.${YAROCK_PATCH_VERSION}")

# ------------------------------------------------------------------------------
#  build def
# ------------------------------------------------------------------------------
#ADD_DEFINITIONS( -DTEST_FLAG )
ADD_DEFINITIONS(-Wall -Wextra )

# ------------------------------------------------------------------------------
#  OPTION
# ------------------------------------------------------------------------------
OPTION(ENABLE_PHONON "Enable Phonon library" ON)
OPTION(ENABLE_VLC "Enable VLC standalone audio engine" OFF)
OPTION(ENABLE_MPV "Enable MPV (MPlayer) standalone audio engine" OFF)

# ------------------------------------------------------------------------------
#  EXTERNAL PACKAGE
# ------------------------------------------------------------------------------
OPTION(ENABLE_QT5 "Enable build with Qt5" OFF)

#---- Qt ----
if (ENABLE_QT5)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt5Widgets_EXECUTABLE_COMPILE_FLAGS}")
    
    FIND_PACKAGE(Qt5Gui REQUIRED)
    FIND_PACKAGE(Qt5Widgets REQUIRED)
    FIND_PACKAGE(Qt5Xml REQUIRED)
    FIND_PACKAGE(Qt5Network REQUIRED)
    FIND_PACKAGE(Qt5Concurrent REQUIRED)
    FIND_PACKAGE(Qt5DBus REQUIRED)
    FIND_PACKAGE(Qt5Sql REQUIRED)
    FIND_PACKAGE(Qt5X11Extras REQUIRED)
  
    set (QTLIBS ${Qt5Core_LIBRARIES} 
                ${Qt5Widgets_LIBRARIES} 
                ${Qt5Network_LIBRARIES} 
                ${Qt5Xml_LIBRARIES} 
                ${Qt5Concurrent_LIBRARIES} 
                ${Qt5DBus_LIBRARIES} 
                ${Qt5Sql_LIBRARIES}
                ${Qt5X11Extras_LIBRARIES})
    
    set (QTINCLUDES ${Qt5Core_INCLUDE_DIRS}
                    ${Qt5Widgets_INCLUDE_DIRS}
                    ${Qt5Network_INCLUDE_DIRS}
                    ${Qt5Xml_INCLUDE_DIRS}
                    ${Qt5Concurrent_INCLUDE_DIRS} 
                    ${Qt5DBus_INCLUDE_DIRS} 
                    ${Qt5Sql_INCLUDE_DIRS})

    add_definitions( ${Qt5Core_DEFINITIONS} 
                     ${Qt5Widgets_DEFINITIONS} 
                     ${Qt5Network_DEFINITIONS} 
                     ${Qt5Xml_DEFINITIONS} 
                     ${Qt5Concurrent_DEFINITIONS})
else (ENABLE_QT5)
    FIND_PACKAGE(Qt4 4.7.0 REQUIRED QtCore QtGui QtXml QtNetwork QtSql QtDbus)

    set (QTLIBS ${QT_QTCORE_LIBRARY} 
                ${QT_QTGUI_LIBRARY} 
                ${QT_QTNETWORK_LIBRARY} 
                ${QT_QTXML_LIBRARY} 
                ${QT_QTDBUS_LIBRARY} 
                ${QT_QTSQL_LIBRARY})

    set (QTINCLUDES ${QT_INCLUDES})
    
    add_definitions(${QT_DEFINITIONS})    

endif (ENABLE_QT5)

 
# ---- QJson ----
if(NOT ENABLE_QT5)
    FIND_PACKAGE( QJSON REQUIRED )
endif (NOT ENABLE_QT5)

# ---- Taglib ----
FIND_PACKAGE( Taglib 1.6.0 REQUIRED )

if(TAGLIB_FOUND)
    include(CheckTagLibFileName)
    check_taglib_filename(COMPLEX_TAGLIB_FILENAME)
endif (TAGLIB_FOUND)

# ---- Htmlcxx ----
FIND_PACKAGE( HtmlCxx )

        
# ------------------------------------------------------------------------------
#  INCLUDES
# ------------------------------------------------------------------------------
INCLUDE_DIRECTORIES( ${QTINCLUDES} )
INCLUDE_DIRECTORIES( ${TAGLIB_INCLUDES} )
INCLUDE_DIRECTORIES( ${QJSON_INCLUDE_DIR} )
INCLUDE_DIRECTORIES( ${HTMLCXX_INCLUDE_DIRS} )
 
# ------------------------------------------------------------------------------
#  SUBDIRECTORIES
# ------------------------------------------------------------------------------
option(USE_SYSTEM_QTSINGLEAPPLICATION "Use system QtSingleApplication library." OFF)
if(USE_SYSTEM_QTSINGLEAPPLICATION)
  find_path(QTSINGLEAPPLICATION_INCLUDE_DIRS qtsingleapplication.h PATH_SUFFIXES QtSolutions)
  find_library(QTSINGLEAPPLICATION_LIBRARIES QtSolutions_SingleApplication-2.6)
  find_library(QTSINGLECOREAPPLICATION_LIBRARIES QtSolutions_SingleCoreApplication-2.6)
else(USE_SYSTEM_QTSINGLEAPPLICATION)
  add_subdirectory(src3party/qtsingleapplication)
  INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/src3party/qtsingleapplication)
  set(QTSINGLEAPPLICATION_LIBRARIES qtsingleapplication)
endif(USE_SYSTEM_QTSINGLEAPPLICATION)

option(USE_SYSTEM_QXT "Use system Qxt library" OFF)
if (USE_SYSTEM_QXT)
  find_path(QXTCORE_INCLUDE_DIRS qxtglobal.h PATH_SUFFIXES QxtCore)
  find_path(QXTGUI_INCLUDE_DIRS qxtglobalshortcut.h PATH_SUFFIXES QxtGui)
  set(QXT_INCLUDE_DIRS ${QXTCORE_INCLUDE_DIRS} ${QXTGUI_INCLUDE_DIRS})
  # We only need its header. We don't need to link to QxtCore.
  find_library(QXT_LIBRARIES QxtGui)
else (USE_SYSTEM_QXT)
  add_subdirectory(src3party/qxt)
  INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/src3party/qxt)
  set(QXT_LIBRARIES qxt) 
endif (USE_SYSTEM_QXT)

# ------------------------------------------------------------------------------
#  INSTALL DIRECTORIES
# ------------------------------------------------------------------------------
if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
   set (CMAKE_INSTALL_PREFIX /usr CACHE PATH "default install path" FORCE )
endif()

set(CMAKE_INSTALL_BIN          "${CMAKE_INSTALL_PREFIX}/bin"         CACHE PATH "binaries install path" FORCE)
set(CMAKE_INSTALL_LIB          "${CMAKE_INSTALL_PREFIX}/lib/yarock"  CACHE PATH "libraries install path" FORCE)
set(CMAKE_INSTALL_TRANS        "${CMAKE_INSTALL_PREFIX}/share/yarock/translations"  CACHE PATH "translations install path" FORCE)

# ------------------------------------------------------------------------------
#  configure file
# ------------------------------------------------------------------------------
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/src/config.h.in
               ${CMAKE_CURRENT_BINARY_DIR}/config.h)
               
# ------------------------------------------------------------------------------
#  SOURCES
# ------------------------------------------------------------------------------
add_subdirectory(src)

MESSAGE(STATUS "Audio Engine Vlc.................................................  " ${ENABLE_VLC} " [use cmake .. -DENABLE_PHONON=ON/OFF]" )
if (ENABLE_VLC)
  MESSAGE(STATUS "  WARN:Vlc and yarock shall be build against the same Qt version" )
  add_definitions(-DENABLE_VLC)
  add_subdirectory(src/core/player/vlc)
endif (ENABLE_VLC)

MESSAGE(STATUS "Audio Engine Mpv.................................................  " ${ENABLE_MPV} " [use cmake .. -DENABLE_VLC=ON/OFF]")
if (ENABLE_MPV)
  add_definitions(-DENABLE_MPV)
  add_subdirectory(src/core/player/mpv)
endif (ENABLE_MPV)

MESSAGE(STATUS "Audio Engine Phonon..............................................  " ${ENABLE_PHONON} " [use cmake .. -DENABLE_MPV=ON/OFF]")
if (ENABLE_PHONON)
  add_definitions(-DENABLE_PHONON)
  add_subdirectory(src/core/player/phonon)
endif (ENABLE_PHONON)


INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR})
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR})
INCLUDE_DIRECTORIES(${CMAKE_BINARY_DIR})

INCLUDE_DIRECTORIES(${YAROCK_INCLUDES})

# ------------------------------------------------------------------------------
#  RESSOURCE
# ------------------------------------------------------------------------------
SET(YAROCK_RESOURCES yarock.qrc)


if (ENABLE_QT5)
  QT5_ADD_RESOURCES(YAROCK_RESOURCES_RCC ${YAROCK_RESOURCES})
else (ENABLE_QT5)
  QT4_ADD_RESOURCES(YAROCK_RESOURCES_RCC ${YAROCK_RESOURCES})
endif (ENABLE_QT5)


# ------------------------------------------------------------------------------
#  DBUS
# ------------------------------------------------------------------------------
# MPRIS 2.0 DBUS interfaces
if (ENABLE_QT5)
  qt5_add_dbus_adaptor(YAROCK_SOURCES
        src/dbus/org.mpris.MediaPlayer2.Player.xml
        src/dbus/mpris2.h Mpris2 mpris2Player Mpris2Player)
  qt5_add_dbus_adaptor(YAROCK_SOURCES
        src/dbus/org.mpris.MediaPlayer2.xml
        src/dbus/mpris2.h Mpris2 mpris2Root Mpris2Root)
else (ENABLE_QT5)
  qt4_add_dbus_adaptor(YAROCK_SOURCES
        src/dbus/org.mpris.MediaPlayer2.Player.xml
        src/dbus/mpris2.h Mpris2 mpris2Player Mpris2Player)
  qt4_add_dbus_adaptor(YAROCK_SOURCES
        src/dbus/org.mpris.MediaPlayer2.xml
        src/dbus/mpris2.h Mpris2 mpris2Root Mpris2Root)
endif (ENABLE_QT5)


# ------------------------------------------------------------------------------
#  TRANSLATION
# ------------------------------------------------------------------------------
# Handle Translations, take all * files from trans directory.
file( GLOB TRANS_FILES ${CMAKE_SOURCE_DIR}/translation/yarock_*.ts)
set(TS_FILES ${TRANS_FILES})

SET(UPDATE_TRANSLATIONS OFF) # no ts update
#SET(UPDATE_TRANSLATIONS ON) # ts update


option (UPDATE_TRANSLATIONS "Update source translation ../translation/*.ts files")
set (FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE} ${YAROCK_SOURCES})

if (ENABLE_QT5)
# TODO
else (ENABLE_QT5)
  if (UPDATE_TRANSLATIONS)
    QT4_CREATE_TRANSLATION(YAROCK_QM_FILES ${FILES_TO_TRANSLATE} ${TS_FILES})
  else (UPDATE_TRANSLATIONS)
    QT4_ADD_TRANSLATION(YAROCK_QM_FILES ${TS_FILES})
  endif (UPDATE_TRANSLATIONS)
endif (ENABLE_QT5)

# ------------------------------------------------------------------------------
#  BUILDING
# ------------------------------------------------------------------------------
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Woverloaded-virtual -Wall -Wno-sign-compare")
    
ADD_EXECUTABLE(yarock ${YAROCK_SOURCES} ${YAROCK_RESOURCES_RCC} ${YAROCK_QM_FILES})

set_target_properties(yarock PROPERTIES AUTOMOC TRUE)

TARGET_LINK_LIBRARIES(yarock
  X11
  ${QTLIBS}
  ${TAGLIB_LIBRARIES}
  ${QTSINGLECOREAPPLICATION_LIBRARIES} ${QTSINGLEAPPLICATION_LIBRARIES}
  ${QXT_LIBRARIES}  
  ${HTMLCXX_LIBRARIES}
)

if(NOT ENABLE_QT5)  
  TARGET_LINK_LIBRARIES(yarock ${QJSON_LIBRARIES})
endif(NOT ENABLE_QT5)

 
# ------------------------------------------------------------------------------
#  INSTALL
# ------------------------------------------------------------------------------
# -- install binary file
install( TARGETS yarock DESTINATION ${CMAKE_INSTALL_BIN} )

# -- install translations files
install(FILES ${YAROCK_QM_FILES} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/yarock/translations")

# -- install destop file
install(FILES data/yarock.desktop  DESTINATION "${CMAKE_INSTALL_PREFIX}/share/applications" )

# -- install appdata file
install(FILES data/yarock.appdata.xml  DESTINATION "${CMAKE_INSTALL_PREFIX}/share/appdata" )

# -- install icons files
install(FILES icon/yarock_16x16.png DESTINATION "${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/16x16/apps" RENAME application-x-yarock.png)
install(FILES icon/yarock_32x32.png DESTINATION "${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/32x32/apps" RENAME application-x-yarock.png)
install(FILES icon/yarock_48x48.png DESTINATION "${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/48x48/apps" RENAME application-x-yarock.png)
install(FILES icon/yarock_64x64.png DESTINATION "${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/64x64/apps" RENAME application-x-yarock.png)
install(FILES icon/yarock_128x128.png DESTINATION "${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/128x128/apps" RENAME application-x-yarock.png)
       
       

# ------------------------------------------------------------------------------
#  UN-INSTALL SUPPORT
# ------------------------------------------------------------------------------

=== src/CMakeLists.txt ===

cmake_policy(SET CMP0011 NEW)

# ------------------------------------------------------------------------------
#  SOURCES
# ------------------------------------------------------------------------------
SET(YAROCK_INCLUDES  ${CMAKE_SOURCE_DIR}/src/
                     ${CMAKE_SOURCE_DIR}/src/core
                     ${CMAKE_SOURCE_DIR}/src/core/database
                     ${CMAKE_SOURCE_DIR}/src/core/history
                     ${CMAKE_SOURCE_DIR}/src/core/mediaitem
                     ${CMAKE_SOURCE_DIR}/src/core/mediasearch
                     ${CMAKE_SOURCE_DIR}/src/core/player
                     ${CMAKE_SOURCE_DIR}/src/core/player/vlc
                     ${CMAKE_SOURCE_DIR}/src/covers
                     ${CMAKE_SOURCE_DIR}/src/infosystem
                     ${CMAKE_SOURCE_DIR}/src/infosystem/services
                     ${CMAKE_SOURCE_DIR}/src/infosystem/tasks
                     ${CMAKE_SOURCE_DIR}/src/dbus
                     ${CMAKE_SOURCE_DIR}/src/models
                     ${CMAKE_SOURCE_DIR}/src/models/local
                     ${CMAKE_SOURCE_DIR}/src/models/online
                     ${CMAKE_SOURCE_DIR}/src/models/stream   
                     ${CMAKE_SOURCE_DIR}/src/models/filesystem                     
                     ${CMAKE_SOURCE_DIR}/src/online
                     ${CMAKE_SOURCE_DIR}/src/playqueue
                     ${CMAKE_SOURCE_DIR}/src/settings
                     ${CMAKE_SOURCE_DIR}/src/smartplaylist
                     ${CMAKE_SOURCE_DIR}/src/views
                     ${CMAKE_SOURCE_DIR}/src/views/about
                     ${CMAKE_SOURCE_DIR}/src/views/context
                     ${CMAKE_SOURCE_DIR}/src/views/filesystem
                     ${CMAKE_SOURCE_DIR}/src/views/local
                     ${CMAKE_SOURCE_DIR}/src/views/settings
                     ${CMAKE_SOURCE_DIR}/src/views/stream
                     ${CMAKE_SOURCE_DIR}/src/widgets
                     ${CMAKE_SOURCE_DIR}/src/widgets/dialogs
                     ${CMAKE_SOURCE_DIR}/src/widgets/equalizer
                     ${CMAKE_SOURCE_DIR}/src/widgets/nowplaying
                     ${CMAKE_SOURCE_DIR}/src/widgets/main
                     ${CMAKE_SOURCE_DIR}/src/widgets/popupcompleter
)



SET(SOURCES 
           ${CMAKE_SOURCE_DIR}/src/global_actions.cpp
           ${CMAKE_SOURCE_DIR}/src/commandlineoptions.cpp
           ${CMAKE_SOURCE_DIR}/src/debug.cpp
           ${CMAKE_SOURCE_DIR}/src/main.cpp
           ${CMAKE_SOURCE_DIR}/src/mainwindow.cpp
           ${CMAKE_SOURCE_DIR}/src/networkaccess.cpp           
           ${CMAKE_SOURCE_DIR}/src/global_shortcuts.cpp
           ${CMAKE_SOURCE_DIR}/src/settings.cpp
           ${CMAKE_SOURCE_DIR}/src/threadmanager.cpp
           ${CMAKE_SOURCE_DIR}/src/utilities.cpp
)

set (SOURCES 
           ${SOURCES}
           ${CMAKE_SOURCE_DIR}/src/core/database/database.cpp
           ${CMAKE_SOURCE_DIR}/src/core/database/database_cmd.cpp
           ${CMAKE_SOURCE_DIR}/src/core/database/databasebuilder.cpp
           ${CMAKE_SOURCE_DIR}/src/core/history/histomanager.cpp
           ${CMAKE_SOURCE_DIR}/src/core/history/histomanager.cpp

           ${CMAKE_SOURCE_DIR}/src/core/mediaitem/mediaitem.cpp
           ${CMAKE_SOURCE_DIR}/src/core/mediaitem/mediamimedata.cpp
           ${CMAKE_SOURCE_DIR}/src/core/mediaitem/playlist_parser.cpp
           ${CMAKE_SOURCE_DIR}/src/core/mediaitem/tag.cpp
           
           ${CMAKE_SOURCE_DIR}/src/core/mediasearch/media_search.cpp
           ${CMAKE_SOURCE_DIR}/src/core/mediasearch/media_search_engine.cpp
           ${CMAKE_SOURCE_DIR}/src/core/mediasearch/search_query.cpp
           ${CMAKE_SOURCE_DIR}/src/core/mediasearch/search_query_widget.cpp

           ${CMAKE_SOURCE_DIR}/src/core/player/engine.cpp
           ${CMAKE_SOURCE_DIR}/src/core/player/engine_base.cpp
)

set (SOURCES 
           ${SOURCES}           
           ${CMAKE_SOURCE_DIR}/src/covers/covercache.cpp
)           

set (SOURCES 
           ${SOURCES}           
           ${CMAKE_SOURCE_DIR}/src/dbus/dbusnotification.cpp           
           ${CMAKE_SOURCE_DIR}/src/dbus/mpris_manager.cpp
           ${CMAKE_SOURCE_DIR}/src/dbus/mpris2.cpp        
)    

set (SOURCES 
           ${SOURCES}           
           ${CMAKE_SOURCE_DIR}/src/models/local/local_track_model.cpp
           ${CMAKE_SOURCE_DIR}/src/models/local/local_track_populator.cpp
           ${CMAKE_SOURCE_DIR}/src/models/local/histo_model.cpp
           ${CMAKE_SOURCE_DIR}/src/models/local/local_playlist_model.cpp
           ${CMAKE_SOURCE_DIR}/src/models/local/local_playlist_populator.cpp
           ${CMAKE_SOURCE_DIR}/src/models/stream/service_base.cpp
           ${CMAKE_SOURCE_DIR}/src/models/stream/service_radionomy.cpp
           ${CMAKE_SOURCE_DIR}/src/models/stream/service_tunein.cpp
           ${CMAKE_SOURCE_DIR}/src/models/stream/service_xspf.cpp
           ${CMAKE_SOURCE_DIR}/src/models/stream/service_dirble.cpp           
           ${CMAKE_SOURCE_DIR}/src/models/stream/stream_model.cpp 
           ${CMAKE_SOURCE_DIR}/src/models/filesystem/file_model.cpp
)

set (SOURCES 
           ${SOURCES}           
           ${CMAKE_SOURCE_DIR}/src/online/lastfm.cpp
)
   
set (SOURCES 
           ${SOURCES}           
           ${CMAKE_SOURCE_DIR}/src/playqueue/playqueue_base.cpp
           ${CMAKE_SOURCE_DIR}/src/playqueue/playlistdbwriter.cpp
           ${CMAKE_SOURCE_DIR}/src/playqueue/playqueue_model.cpp
           ${CMAKE_SOURCE_DIR}/src/playqueue/playqueue_proxymodel.cpp
           ${CMAKE_SOURCE_DIR}/src/playqueue/playlistpopulator.cpp
           ${CMAKE_SOURCE_DIR}/src/playqueue/playlistview.cpp
           ${CMAKE_SOURCE_DIR}/src/playqueue/playlistwidget.cpp
           ${CMAKE_SOURCE_DIR}/src/playqueue/playlistwriter.cpp
           ${CMAKE_SOURCE_DIR}/src/playqueue/task_manager.cpp
           ${CMAKE_SOURCE_DIR}/src/playqueue/virtual_playqueue.cpp                
)

   
set (SOURCES 
           ${SOURCES}           
           ${CMAKE_SOURCE_DIR}/src/smartplaylist/smartplaylist.cpp        
)
      
set (SOURCES 
           ${SOURCES}                            
           ${CMAKE_SOURCE_DIR}/src/views/browser_view.cpp           
           ${CMAKE_SOURCE_DIR}/src/views/item_button.cpp
           ${CMAKE_SOURCE_DIR}/src/views/item_common.cpp
           ${CMAKE_SOURCE_DIR}/src/views/item_menu.cpp           
           ${CMAKE_SOURCE_DIR}/src/views/scene_base.cpp           
           ${CMAKE_SOURCE_DIR}/src/views/about/about_scene.cpp
           ${CMAKE_SOURCE_DIR}/src/views/local/qpixmapfilter.cpp
           ${CMAKE_SOURCE_DIR}/src/views/local/local_item.cpp
           ${CMAKE_SOURCE_DIR}/src/views/local/local_scene.cpp
           ${CMAKE_SOURCE_DIR}/src/views/local/local_scene_dashboard.cpp
           ${CMAKE_SOURCE_DIR}/src/views/local/local_scene_playing.cpp
           ${CMAKE_SOURCE_DIR}/src/views/local/local_scene_playqueue.cpp
           ${CMAKE_SOURCE_DIR}/src/views/context/context_item.cpp
           ${CMAKE_SOURCE_DIR}/src/views/context/context_widget.cpp
           ${CMAKE_SOURCE_DIR}/src/views/context/context_scene.cpp
           ${CMAKE_SOURCE_DIR}/src/views/context/lyricseditor.cpp
           ${CMAKE_SOURCE_DIR}/src/views/stream/stream_item.cpp
           ${CMAKE_SOURCE_DIR}/src/views/stream/stream_scene.cpp
           ${CMAKE_SOURCE_DIR}/src/views/stream/stream_loader.cpp           
           ${CMAKE_SOURCE_DIR}/src/views/filesystem/file_scene.cpp
           ${CMAKE_SOURCE_DIR}/src/views/filesystem/file_graphicitem.cpp
           ${CMAKE_SOURCE_DIR}/src/views/settings/settings_scene.cpp           
           ${CMAKE_SOURCE_DIR}/src/views/settings/settings_widget.cpp
           ${CMAKE_SOURCE_DIR}/src/views/settings/addfolder_widget.cpp
)
                
set (SOURCES 
           ${SOURCES}           
           ${CMAKE_SOURCE_DIR}/src/widgets/dialogs/dialog_base.cpp
           ${CMAKE_SOURCE_DIR}/src/widgets/dialogs/addstreamdialog.cpp           
           ${CMAKE_SOURCE_DIR}/src/widgets/dialogs/dboperationdialog.cpp
           ${CMAKE_SOURCE_DIR}/src/widgets/dialogs/shortcutdialog.cpp           
           ${CMAKE_SOURCE_DIR}/src/widgets/dialogs/filedialog.cpp           
           ${CMAKE_SOURCE_DIR}/src/widgets/dialogs/first_time_dialog.cpp
           ${CMAKE_SOURCE_DIR}/src/widgets/editors/editor_album.cpp
           ${CMAKE_SOURCE_DIR}/src/widgets/editors/editor_artist.cpp
           ${CMAKE_SOURCE_DIR}/src/widgets/editors/editor_track.cpp
           ${CMAKE_SOURCE_DIR}/src/widgets/editors/editor_common.cpp
           ${CMAKE_SOURCE_DIR}/src/widgets/editors/editor_playlist.cpp
           ${CMAKE_SOURCE_DIR}/src/widgets/editors/editor_smart.cpp
           ${CMAKE_SOURCE_DIR}/src/widgets/editors/editor_search.cpp
           ${CMAKE_SOURCE_DIR}/src/widgets/main/centralwidget.cpp
           ${CMAKE_SOURCE_DIR}/src/widgets/main/main_right.cpp
           ${CMAKE_SOURCE_DIR}/src/widgets/main/main_left.cpp
           ${CMAKE_SOURCE_DIR}/src/widgets/main/maintoolbutton.cpp           
           ${CMAKE_SOURCE_DIR}/src/widgets/main/menumodel.cpp
           ${CMAKE_SOURCE_DIR}/src/widgets/main/menuwidget.cpp
           ${CMAKE_SOURCE_DIR}/src/widgets/main/menubar.cpp
           ${CMAKE_SOURCE_DIR}/src/widgets/nowplaying/nowplayingview.cpp
           ${CMAKE_SOURCE_DIR}/src/widgets/popupcompleter/popup_item.cpp
           ${CMAKE_SOURCE_DIR}/src/widgets/popupcompleter/popup_model.cpp
           ${CMAKE_SOURCE_DIR}/src/widgets/popupcompleter/popup_view.cpp
           ${CMAKE_SOURCE_DIR}/src/widgets/popupcompleter/search_popup.cpp
           ${CMAKE_SOURCE_DIR}/src/widgets/audiocontrols.cpp
           ${CMAKE_SOURCE_DIR}/src/widgets/customsplitter.cpp
           ${CMAKE_SOURCE_DIR}/src/widgets/equalizer/equalizer_dialog.cpp
           ${CMAKE_SOURCE_DIR}/src/widgets/equalizer/equalizer_preset.cpp
           ${CMAKE_SOURCE_DIR}/src/widgets/equalizer/equalizer_slider.cpp
           ${CMAKE_SOURCE_DIR}/src/widgets/exlineedit.cpp
           ${CMAKE_SOURCE_DIR}/src/widgets/searchline_edit.cpp
           ${CMAKE_SOURCE_DIR}/src/widgets/minimalwidget.cpp
           ${CMAKE_SOURCE_DIR}/src/widgets/playertoolbar.cpp
           ${CMAKE_SOURCE_DIR}/src/widgets/ratingwidget.cpp
           ${CMAKE_SOURCE_DIR}/src/widgets/seekslider.cpp
           ${CMAKE_SOURCE_DIR}/src/widgets/seeksliderpopup.cpp
           ${CMAKE_SOURCE_DIR}/src/widgets/spacer.cpp
           ${CMAKE_SOURCE_DIR}/src/widgets/statusmanager.cpp           
           ${CMAKE_SOURCE_DIR}/src/widgets/sort_widget.cpp            
           ${CMAKE_SOURCE_DIR}/src/widgets/header_widget.cpp            
)

set (SOURCES 
           ${SOURCES}           
           ${CMAKE_SOURCE_DIR}/src/infosystem/info_service.cpp
           ${CMAKE_SOURCE_DIR}/src/infosystem/info_system.cpp
           ${CMAKE_SOURCE_DIR}/src/infosystem/info_system_worker.cpp           
           ${CMAKE_SOURCE_DIR}/src/infosystem/services/service_discogs.cpp
           ${CMAKE_SOURCE_DIR}/src/infosystem/services/service_echonest.cpp
           ${CMAKE_SOURCE_DIR}/src/infosystem/services/service_lastfm.cpp
           ${CMAKE_SOURCE_DIR}/src/infosystem/services/service_musicbrainz.cpp
           ${CMAKE_SOURCE_DIR}/src/infosystem/services/service_lyrics.cpp
           ${CMAKE_SOURCE_DIR}/src/infosystem/services/ultimatelyricsprovider.cpp
           ${CMAKE_SOURCE_DIR}/src/infosystem/services/ultimatelyricsreader.cpp
           ${CMAKE_SOURCE_DIR}/src/infosystem/tasks/tagsearch.cpp           
)


# ------------------------------------------------------------------------------
#  YAROCK_HEADERS
# ------------------------------------------------------------------------------
SET(YAROCK_HEADERS 
           ${CMAKE_SOURCE_DIR}/src/commandlineoptions.h
           ${CMAKE_SOURCE_DIR}/src/debug.h
           ${CMAKE_SOURCE_DIR}/src/global_actions.h
           ${CMAKE_SOURCE_DIR}/src/global_shortcuts.h
           ${CMAKE_SOURCE_DIR}/src/main.h
           ${CMAKE_SOURCE_DIR}/src/mainwindow.h

=== src3party/qtsingleapplication/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

if (ENABLE_QT5)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt5Widgets_EXECUTABLE_COMPILE_FLAGS}")
endif (ENABLE_QT5)

set(SINGLEAPP-SOURCES
    qtlocalpeer.cpp
    qtlockedfile.cpp
    qtsingleapplication.cpp
    qtsinglecoreapplication.cpp
)

set(SINGLEAPP-MOC-HEADERS
    qtlockedfile.h
    qtlocalpeer.h
    qtsingleapplication.h
    qtsinglecoreapplication.h
)

include_directories( ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR} ${QTINCLUDES} )

if(WIN32)
  set(SINGLEAPP-SOURCES ${SINGLEAPP-SOURCES} qtlockedfile_win.cpp)
elseif(WIN32)
  set(SINGLEAPP-SOURCES ${SINGLEAPP-SOURCES} qtlockedfile_unix.cpp)
endif(WIN32)

if (ENABLE_QT5)
  qt5_wrap_cpp(SINGLEAPP-SOURCES-MOC ${SINGLEAPP-MOC-HEADERS})
else (ENABLE_QT5)
  qt4_wrap_cpp(SINGLEAPP-SOURCES-MOC ${SINGLEAPP-MOC-HEADERS})
endif (ENABLE_QT5)

ADD_LIBRARY(qtsingleapplication STATIC
    ${SINGLEAPP-SOURCES}
    ${SINGLEAPP-SOURCES-MOC}
)

if (ENABLE_QT5)
   TARGET_LINK_LIBRARIES( qtsingleapplication ${Qt5Network_LIBRARIES}  ${Qt5Core_LIBRARIES}  )
endif (ENABLE_QT5)

=== src3party/qxt/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

if (ENABLE_QT5)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt5Widgets_EXECUTABLE_COMPILE_FLAGS}")
endif (ENABLE_QT5)

set(QXT-SOURCES
  qxtglobal.cpp
  qxtglobalshortcut.cpp
  qxtglobalshortcut_x11.cpp
)

set(QXT-MOC-HEADERS
  qxtglobalshortcut.h
)

find_package(X11)
include_directories(${X11_INCLUDE_DIR})
include_directories( ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR} ${QTINCLUDES} )


if (ENABLE_QT5)
  FIND_PACKAGE(Qt5X11Extras REQUIRED)
  include_directories(${Qt5X11Extras_INCLUDE_DIRS})
  add_definitions( ${Qt5X11Extras_DEFINITIONS})
  MESSAGE(STATUS "  Found qt5x11extra include-dir path: ${Qt5X11Extras_INCLUDE_DIRS}")
endif (ENABLE_QT5)
  

if (ENABLE_QT5)
  qt5_wrap_cpp(QXT-SOURCES-MOC ${QXT-MOC-HEADERS})
else (ENABLE_QT5)
  qt4_wrap_cpp(QXT-SOURCES-MOC ${QXT-MOC-HEADERS})
endif (ENABLE_QT5)


ADD_LIBRARY(qxt
  ${QXT-SOURCES}
  ${QXT-SOURCES-MOC}
)

if (ENABLE_QT5)
  target_link_libraries (qxt "Qt5::X11Extras")
endif (ENABLE_QT5)

=== src/core/player/mpv/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(enginempv)
# ------------------------------------------------------------------------------
#  build def (QT PLUGIN)
# ------------------------------------------------------------------------------
ADD_DEFINITIONS( -Wall )
ADD_DEFINITIONS(-DQT_PLUGIN)
ADD_DEFINITIONS(-DQT_NO_DEBUG)
ADD_DEFINITIONS(-DQT_SHARED)
ADD_DEFINITIONS(-DQT_THREAD)


ADD_DEFINITIONS( -DENABLE_MPV )

# ------------------------------------------------------------------------------
#  EXTERNAL LIB
# ------------------------------------------------------------------------------
FIND_PACKAGE( LIBMPV REQUIRED)


# ------------------------------------------------------------------------------
#  INCLUDES
# ------------------------------------------------------------------------------
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/core/player/
                     ${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/core/player/mpv
                     ${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/core/mediaitem
                     ${CMAKE_CURRENT_SOURCE_DIR}/../../../../src
)

INCLUDE_DIRECTORIES( ${LIBMPV_INCLUDE_DIR} )
  
if (ENABLE_QT5)
    set (QTLIBS ${Qt5Core_LIBRARIES})
    
    set (QTINCLUDES ${Qt5Core_INCLUDE_DIRS})

    add_definitions( ${Qt5Core_DEFINITIONS})

else (ENABLE_QT5)
    set (QTLIBS ${QT_QTCORE_LIBRARY})

    set (QTINCLUDES ${QT_INCLUDES})
    
    add_definitions(${QT_DEFINITIONS})    
endif (ENABLE_QT5)

INCLUDE_DIRECTORIES( ${QTINCLUDES} )

# ------------------------------------------------------------------------------
#  SOURCES
# ------------------------------------------------------------------------------
SET(SOURCES
    ${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/core/player/mpv/engine_mpv.cpp
)

# ------------------------------------------------------------------------------
#  BUILDING
# ------------------------------------------------------------------------------
set( CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib )

ADD_LIBRARY( enginempv SHARED ${SOURCES} )

SET_TARGET_PROPERTIES(enginempv PROPERTIES AUTOMOC TRUE)

ADD_DEPENDENCIES(enginempv yarock)

TARGET_LINK_LIBRARIES(enginempv ${LIBMPV_LIBRARY} ${QTLIBS})

# ------------------------------------------------------------------------------
#  INSTALL
# ------------------------------------------------------------------------------  
if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
   set (CMAKE_INSTALL_PREFIX /usr CACHE PATH "default install path" FORCE )
endif()

set(CMAKE_INSTALL_LIB "${CMAKE_INSTALL_PREFIX}/lib/yarock"  CACHE PATH "libraries installation path" FORCE)

install(TARGETS enginempv DESTINATION ${CMAKE_INSTALL_LIB} )

=== src/core/player/phonon/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(enginephonon)
# ------------------------------------------------------------------------------
#  build def (QT PLUGIN)
# ------------------------------------------------------------------------------
ADD_DEFINITIONS( -Wall )
ADD_DEFINITIONS(-DQT_PLUGIN)
ADD_DEFINITIONS(-DQT_NO_DEBUG)
ADD_DEFINITIONS(-DQT_SHARED)
ADD_DEFINITIONS(-DQT_THREAD)


ADD_DEFINITIONS( -DENABLE_PHONON )

# ------------------------------------------------------------------------------
#  EXTERNAL LIB
# ------------------------------------------------------------------------------
if(ENABLE_QT5)
    FIND_PACKAGE( Phonon4Qt5 REQUIRED )
else(ENABLE_QT5)
    FIND_PACKAGE( Phonon REQUIRED )
endif (ENABLE_QT5)    
 

# ------------------------------------------------------------------------------
#  INCLUDES
# ------------------------------------------------------------------------------
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/core/player/
                     ${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/core/player/phonon
                     ${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/core/mediaitem
                     ${CMAKE_CURRENT_SOURCE_DIR}/../../../../src
)


if (ENABLE_QT5)
    INCLUDE_DIRECTORIES( ${PHONON_INCLUDE_DIR}/phonon4qt5 )
else (ENABLE_QT5)
    INCLUDE_DIRECTORIES( ${PHONON_INCLUDES} )
endif (ENABLE_QT5)  


if (ENABLE_QT5)
    set (QTLIBS ${Qt5Core_LIBRARIES})
    
    set (QTINCLUDES ${Qt5Core_INCLUDE_DIRS})

    add_definitions( ${Qt5Core_DEFINITIONS})

else (ENABLE_QT5)
    set (QTLIBS ${QT_QTCORE_LIBRARY})

    set (QTINCLUDES ${QT_INCLUDES})
    
    add_definitions(${QT_DEFINITIONS})    
endif (ENABLE_QT5)

INCLUDE_DIRECTORIES( ${QTINCLUDES} )

# ------------------------------------------------------------------------------
#  SOURCES
# ------------------------------------------------------------------------------
SET(SOURCES
    ${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/core/player/phonon/engine_phonon.cpp
)

# ------------------------------------------------------------------------------
#  BUILDING
# ------------------------------------------------------------------------------
set( CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib )

ADD_LIBRARY( enginephonon SHARED ${SOURCES} )

SET_TARGET_PROPERTIES(enginephonon PROPERTIES AUTOMOC TRUE)

ADD_DEPENDENCIES(enginephonon yarock)

if(ENABLE_QT5)  
    TARGET_LINK_LIBRARIES(enginephonon ${PHONON4QT5_LIBRARY} ${QTLIBS})
else(ENABLE_QT5)
    TARGET_LINK_LIBRARIES(enginephonon ${PHONON_LIBS} ${QTLIBS})
endif(ENABLE_QT5)

# ------------------------------------------------------------------------------
#  INSTALL
# ------------------------------------------------------------------------------  
if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
   set (CMAKE_INSTALL_PREFIX /usr CACHE PATH "default install path" FORCE )
endif()

set(CMAKE_INSTALL_LIB "${CMAKE_INSTALL_PREFIX}/lib/yarock"  CACHE PATH "libraries installation path" FORCE)

install(TARGETS enginephonon DESTINATION ${CMAKE_INSTALL_LIB} )

=== src/core/player/vlc/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(enginevlc)
# ------------------------------------------------------------------------------
#  build def (QT PLUGIN)
# ------------------------------------------------------------------------------
ADD_DEFINITIONS( -Wall )
ADD_DEFINITIONS( -DQT_PLUGIN )
ADD_DEFINITIONS( -DQT_NO_DEBUG )
ADD_DEFINITIONS( -DQT_SHARED )
ADD_DEFINITIONS( -DQT_THREAD )


ADD_DEFINITIONS( -DENABLE_VLC )

# ------------------------------------------------------------------------------
#  EXTERNAL LIB
# ------------------------------------------------------------------------------
FIND_PACKAGE( LIBVLC REQUIRED )


# ------------------------------------------------------------------------------
#  INCLUDES
# ------------------------------------------------------------------------------
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/core/player/
                     ${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/core/player/vlc
                     ${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/core/mediaitem
                     ${CMAKE_CURRENT_SOURCE_DIR}/../../../../src
)

INCLUDE_DIRECTORIES( ${LIBVLC_INCLUDE_DIR} )

if (ENABLE_QT5)
    set (QTLIBS ${Qt5Core_LIBRARIES})
    
    set (QTINCLUDES ${Qt5Core_INCLUDE_DIRS})

    add_definitions( ${Qt5Core_DEFINITIONS})

else (ENABLE_QT5)
    set (QTLIBS ${QT_QTCORE_LIBRARY})

    set (QTINCLUDES ${QT_INCLUDES})
    
    add_definitions(${QT_DEFINITIONS})    
endif (ENABLE_QT5)

INCLUDE_DIRECTORIES( ${QTINCLUDES} )


# ------------------------------------------------------------------------------
#  SOURCES
# ------------------------------------------------------------------------------
SET(SOURCES
    ${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/core/player/vlc/engine_vlc.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/core/player/vlc/vlc_lib.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/core/player/vlc/vlc_media.cpp
)

# ------------------------------------------------------------------------------
#  BUILDING
# ------------------------------------------------------------------------------
set( CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib )

ADD_LIBRARY( enginevlc SHARED ${SOURCES} )

SET_TARGET_PROPERTIES(enginevlc PROPERTIES AUTOMOC TRUE)

ADD_DEPENDENCIES(enginevlc yarock)

TARGET_LINK_LIBRARIES(enginevlc ${LIBVLC_LIBRARY} ${QTLIBS})

# ------------------------------------------------------------------------------
#  INSTALL
# ------------------------------------------------------------------------------  
if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
   set (CMAKE_INSTALL_PREFIX /usr CACHE PATH "default install path" FORCE )
endif()

set(CMAKE_INSTALL_LIB "${CMAKE_INSTALL_PREFIX}/lib/yarock"  CACHE PATH "libraries installation path" FORCE)

install(TARGETS enginevlc DESTINATION ${CMAKE_INSTALL_LIB} )

=== debian/changelog ===
yarock (1.1.3-1mx150+1) mx; urgency=low

  * Rebuild for MX 15.
  * Revert to Qt4 build.
  * Add MPV engine support.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Wed, 19 Aug 2015 14:52:43 -0700

yarock (1.1.3-1~webupd8~trusty2) trusty; urgency=medium

  * New upstream release
  * Build-depend on libhtmlcxx-dev
  * Build with Qt5
  * Added phonon.patch

 -- Alin Andrei <webupd8@gmail.com>  Wed, 19 Aug 2015 12:34:41 +0300

yarock (0.9.67~trusty~ppa1) trusty; urgency=low

  * New source, 0.9.67

 -- Rog131 <samrog131@hotmail.com>  Tue, 06 May 2014 10:36:35 +0300

yarock (0.9.66~trusty~ppa1) trusty; urgency=low

  * New source, 0.9.66
    - drop patches
    - bump Standards-Version: 3.9.5

 -- Rog131 <samrog131@hotmail.com>  Sat, 12 Apr 2014 16:01:04 +0300

yarock (0.9.65~trusty~ppa1) trusty; urgency=low

  * Trusty release

 -- Rog131 <samrog131@hotmail.com>  Sat, 07 Dec 2013 21:46:34 +0200

yarock (0.9.65~saucy~ppa1) saucy; urgency=low

  * New source, 0.9.65
    - drop patches
    - patch the language path: yarock/src/main.cpp

 -- Rog131 <samrog131@hotmail.com>  Sat, 07 Dec 2013 21:45:11 +0200

yarock (0.9.64~saucy~ppa1) saucy; urgency=low

  * New source, 0.9.64
    - update patches

 -- Rog131 <samrog131@hotmail.com>  Fri, 08 Nov 2013 17:29:04 +0200

yarock (0.9.63~saucy~ppa3) saucy; urgency=low

  * No change rebuild
    - bump to libechonest2.1


 -- Rog131 <samrog131@hotmail.com>  Sat, 07 Sep 2013 22:11:20 +0300

yarock (0.9.63~saucy~ppa2) saucy; urgency=low

  * Try#2
    - a patch to move the translations to the /usr/share/yarock/locale/

 -- Rog131 <samrog131@hotmail.com>  Tue, 25 Jun 2013 16:47:32 +0300

yarock (0.9.63~saucy~ppa1) saucy; urgency=low

  * Saucy release

 -- Rog131 <samrog131@hotmail.com>  Tue, 25 Jun 2013 13:25:48 +0300

yarock (0.9.63~raring~ppa1) raring; urgency=low

  * Raring release
    + bump Standards-Version: 3.9.4

 -- Rog131 <samrog131@hotmail.com>  Tue, 25 Jun 2013 13:23:13 +0300

yarock (0.9.63~quantal~ppa1) quantal; urgency=low

  * Quantal release

 -- Rog131 <samrog131@hotmail.com>  Tue, 25 Jun 2013 13:20:15 +0300

yarock (0.9.63~precise~ppa1) precise; urgency=low

  * Precise release
    + new source, 0.9.63
    + bump Standards-Version: 3.9.3
    + add Build-Depends: cmake, libqjson-dev, libechonest-dev, libqt4-sql-sqlite, pkg-config, libx11-dev
    + add a patch to move the installation from the /usr/local/

 -- Rog131 <samrog131@hotmail.com>  Tue, 25 Jun 2013 10:02:31 +0300

yarock (0.0.55~oneiric~ppa1) oneiric; urgency=low

  * Oneiric release
    + new source, 0.0.55
    + Switch to dpkg-source 3.0 (quilt) format
    + bump compat 8
    + bump Standards-Version: 3.9.2

 -- Rog131 <samrog131@hotmail.com>  Sun, 25 Mar 2012 20:09:49 +0300

yarock (0.0.35~maverick~ppa1) maverick; urgency=low

  * New source, 0.0.35

 -- Rog131 <samrog131@hotmail.com>  Sat, 13 Nov 2010 21:53:42 +0200

yarock (0.0.28~maverick~ppa1) maverick; urgency=low

  * Maverick release
    + bump debhelper (>= 8.0), Standards-Version: 3.9.1
    - remove pkg-kde-tools from the build depends

 -- Rog131 <samrog131@hotmail.com>  Sun, 31 Oct 2010 21:09:23 +0200

yarock (0.0.28~lucid~ppa1) lucid; urgency=low

  * New source, 0.0.28
    - removed patches, quilt

 -- Rog131 <samrog131@hotmail.com>  Sat, 30 Oct 2010 13:48:34 +0300

yarock (0.0.20~lucid~ppa1) lucid; urgency=low

  * New source, 0.0.20
    - removed yarock.desktop
    + added a patch to fix yarock.desktop (+Icon=yarock.png)
    + added quilt to build depends
    + added debian/docs

 -- Rog131 <samrog131@hotmail.com>  Wed, 22 Sep 2010 08:50:41 +0300

yarock (0.0.19~lucid~ppa1) lucid; urgency=low

  * New source, 0.0.19

 -- Rog131 <samrog131@hotmail.com>  Sun, 19 Sep 2010 21:25:50 +0300

yarock (0.0.18~lucid~ppa1) lucid; urgency=low

  * New source, 0.0.18
    + new debian/rules
    + added debian/yarock.install

 -- Rog131 <samrog131@hotmail.com>  Thu, 02 Sep 2010 16:02:16 +0300

yarock (0.0.17~lucid~ppa1) lucid; urgency=low

  * New source, 0.0.17

 -- Rog131 <samrog131@hotmail.com>  Tue, 31 Aug 2010 11:46:09 +0300

yarock (0.0.15~lucid~ppa1) lucid; urgency=low

  * Initial release
    + added yarock.desktop

 -- Rog131 <samrog131@hotmail.com>  Mon, 30 Aug 2010 17:50:11 +0300

=== debian/control ===
Source: yarock
Section: sound
Priority: extra
Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
Bugs: mailto: maintainer@mepiscommunity.org
XSBC-Original-Maintainer: Rog131 <samrog131@hotmail.com>
Build-Depends: debhelper (>= 8.0), 
 cmake (>= 2.8.6),
 libqt4-dev (>= 4:4.8),
 libphonon-dev, 
 libtag1-dev,
 libechonest-dev, 
 pkg-config,
 libx11-dev,
 libhtmlcxx-dev,
 libqjson-dev,
 libmpv-dev,
# libvlc-dev,
 qtchooser | qt4-default | libqt4-dev (<< 4:4.8.6)
Standards-Version: 3.9.6
Homepage: http://qt-apps.org/content/show.php/YaRock?content=129372

Package: yarock
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 phonon-backend-gstreamer | phonon-backend-vlc
Recommends: gstreamer1.0-plugins-good,
 gstreamer1.0-plugins-bad,
 gstreamer1.0-plugins-ugly
Description: a Qt based music player
 Yarock is a music player in c++/Qt designed to provide a clean, 
 simple and beautiful music collection based on album coverart.
 .
 Yarock is written in C++ using Qt and Phonon multimedia framework, only for 
 Linux platform.
 .
 Features include:
 * Music collection database (SQLite 3)
 * Browse your local music collection based on cover art 
 * Easy search and filter music collection
 * Manage favorites item (album, artist)
 * Play music directly from collection or playqueue
 * Simple Playqueue
 * Smart playlist generator 
 * Support mp3,Ogg Vorbis,flac music files (depending on phonon backend)
 * Support load/save playlist file (m3u, pls, xspf)
 * Play radio stream (icecast, shoutcast, user stream files)
 * Mp3Gain tag support for volume normalization
 * Cover art download (Last.fm/discogs services)
 * Last Fm scrobbler
 * Command line interface, Mpris interface
 * Clean and simple user interface 
 * No GNOME or KDE dependencies
 .
 http://qt-apps.org/content/show.php/YaRock?content=129372

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS
export QT_SELECT=qt4

%:
	dh $@ --parallel

override_dh_auto_configure:
	cmake -DCMAKE_BUILD_TYPE=Release \
       -DCMAKE_INSTALL_PREFIX=/usr \
       -DENABLE_MPV=ON \
       -DENABLE_VLC=OFF
